## python-opuslib 3.0.1

=== Makefile ===
# Makefile for opuslib.
#
# Author:: Никита Кузнецов <self@svartalf.info>
# Copyright:: Copyright (c) 2012, SvartalF
# License:: BSD 3-Clause License
#


.DEFAULT_GOAL := all


all: develop

develop:
	python setup.py develop

install:
	python setup.py install

install_requirements_test:
	pip install -r requirements_test.txt

uninstall:
	pip uninstall -y opuslib

reinstall: uninstall develop

remember_test:
	@echo
	@echo "Hello from the Makefile..."
	@echo "Don't forget to run: 'make install_requirements_test'"
	@echo

clean:
	rm -rf *.egg* build dist *.py[oc] */*.py[co] cover doctest_pypi.cfg \
		nosetests.xml pylint.log *.egg output.xml flake8.log tests.log \
		test-result.xml htmlcov fab.log *.deb .coverage

publish:
	python setup.py sdist
	twine upload dist/*

nosetests: remember_test
	python setup.py nosetests

flake8: pep8

pep8: remember_test
	flake8 --ignore=E402,E731 --max-complexity 12 --exit-zero opuslib/*.py \
	opuslib/api/*.py tests/*.py

pylint: lint

lint: remember_test
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	-r n opuslib/*.py opuslib/api/*.py tests/*.py || exit 0

test: lint pep8 mypy nosetests

mypy:
	mypy --strict .

docker_build:
	docker build .

checkmetadata:
	python setup.py check -s --metadata --restructuredtext

=== debian/changelog ===
python-opuslib (3.0.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 22:44:53 +0100

python-opuslib (3.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1084976)

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 09:55:13 +0100

=== debian/control ===
Source: python-opuslib
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/orion-labs/opuslib
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-opuslib
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-opuslib.git

Package: python3-opuslib
Architecture: all
Depends:
 libopus0,
 ${misc:Depends},
 ${python3:Depends},
Description: Bindings to the libopus low-delay audio codec
 This library provides Python bindings for the libopus audio codec. The libopus
 codec is designed to handle interactive speech and music transmission over the
 Internet, enabling low-latency audio streaming. It is particularly well-suited
 for applications that require high-quality audio with minimal delay, such as
 voice-over-IP, videoconferencing, and real-time music streaming. By
 interfacing directly with the libopus codec, users can encode and decode audio
 streams efficiently, ensuring optimal performance in real-time audio
 processing tasks. Additionally, this library supports a range of features
 necessary for handling audio in various network conditions, including variable
 bit rate and packet loss concealment.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=opuslib
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf opuslib.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-opuslib-$1\.tar\.gz/ \
  https://github.com/orion-labs/opuslib/tags .*/v?(\d\S+)\.tar\.gz
